#Check
execute unless data storage rcip:data {enable:1b} run return fail
#Init mode
execute as @a unless score @s rcip.pick_mode matches 0..3 unless score newPlayerTip rcip.config matches 0 run tellraw @s [{"bold":true,"color":"yellow","text":"Right Click Item Picking: "},{"color":"aqua","clickEvent":{"action":"run_command","value":"/trigger Right-Click-Item-Picking--Switch-picking-mode"},"fallback":"Use [%s] to switch","translate":"command.rcip.pick_mode.tip","underlined":true,"with":["trigger Right-Click-Item-Picking--Switch-picking-mode"]}]
execute as @a unless score @s rcip.pick_mode matches 0..3 run scoreboard players operation @s rcip.pick_mode = defMode rcip.config
#Set player ID
execute as @a unless score @s rcip.to matches -2147483648..2147483647 run function rcip:set_player_to_id
#Right-Click-Item-Picking--Switch-picking-mode control
scoreboard players enable @a Right-Click-Item-Picking--Switch-picking-mode
tag @a[scores={Right-Click-Item-Picking--Switch-picking-mode=1..}] add rcip.switch_mode
tag @a[scores={Right-Click-Item-Picking--Switch-picking-mode=1..}] add rcip.switch_mode.force
scoreboard players reset @a[scores={Right-Click-Item-Picking--Switch-picking-mode=1..}] Right-Click-Item-Picking--Switch-picking-mode
#Disable vanilla picking
execute as @e[type=minecraft:item,tag=!rcip.checked] run function rcip:item_check
tag @e[tag=rcip.checked.remove] remove rcip.checked
tag @e[tag=rcip.checked.remove] remove rcip.checked.remove
#Place interaction & display
kill @e[tag=rcip.clickdetect.remove]
execute as @e[tag=rcip.clickdetect] unless function rcip:_check_abadon run tag @s add rcip.clickdetect.remove

tag @e[tag=rcip.title] add rcip.title.old
execute as @a[predicate=rcip:active_picking] at @s rotated as @s run function rcip:player_active
# Right click items
kill @e[tag=rcip.item_click.kill]
execute as @e[type=minecraft:item] run function rcip:rcitems/item_check
execute as @e[tag=rcip.item_click] run function rcip:rcitems/interaction_check
execute as @e[tag=rcip.item_click,tag=!rcip.item_click.kill] if data entity @s interaction at @s run function rcip:rcitems/pick with entity @s interaction

# Vanilla picking
execute as @a if score @s rcip.pick_mode matches 2 at @s run function rcip:vanilla_pick
# say KILL @e[tag=rcip.title.old,tag=!rcip.title.old.remove]
kill @e[tag=rcip.title.old,tag=!rcip.title.old.remove]
tag @e[tag=rcip.title.old.remove] remove rcip.title.old.remove
#Reactive for the player had stopped picking
execute as @a[tag=rcip.switch_mode.force] if predicate rcip:moving run function rcip:end_switch_mode
execute as @a[tag=rcip.switch_mode,tag=!rcip.switch_mode.force] at @s unless entity @e[distance=..3,type=minecraft:item] run tag @s remove rcip.switch_mode
#Reset items
execute as @a at @s run function rcip:reset_item